API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/work-planning/desk-bookings/copy-week

POST/v1/work-planning/desk-bookings/copy-week

Copy all desk reservations from the week ending the day before targetWeekStart into targetWeekStart. Only reservations for users that the caller is allowed to book for are copied. Existing reservations in the target week are left untouched and reported as conflicts. Requires desk_reservation_book_for_team or admin_bypass.

Request Body

NameTypBeschreibung
targetWeekStarterforderlichstring
skipWeekendsboolean

Beispiel

curl -X POST https://api.codemeta-os.de/v1/work-planning/desk-bookings/copy-week \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "targetWeekStart": "string",
  "skipWeekends": true
}'
const result = await cm.work-planning.post({
  "targetWeekStart": "string",
  "skipWeekends": true
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche